const Sequelize = require("sequelize");
const bcryptjs = require("bcryptjs");
const sequelizeConnect = require("../connection/db");

const BuildCreditAutomatedTextCustomerExclusions = sequelizeConnect.define(
  "build_credit_automated_text_customer_exclusions",
  {
    id: {
      type: Sequelize.BIGINT,
      primaryKey: true,
      allowNull: false,
      autoIncrement: true,
    },
    customer_id: {
      type: Sequelize.BIGINT,
      allowNull: false,
    },
    buildcredit_id: {
      type: Sequelize.BIGINT,
      allowNull: false,
    },
  },
  {
    tableName: "build_credit_automated_text_customer_exclusions",
    timestamps: true,
  }
);

module.exports = BuildCreditAutomatedTextCustomerExclusions;
